Loading...

Knowledge Center


Updates were not applied because packages were not in the repository: VSCANCEU1000, EXTRADAT1000, SUPERDAT1000
Technical Articles ID:  KB53932
Last Modified:  06/01/2012
Rated:


Environment

McAfee VirusScan Enterprise 8.8, 8.7i
 

Summary

IMPORTANT:
  • This article is specific to VirusScan Enterprise and these three packages: VSCANCEU1000, EXTRADAT1000, SUPERDAT1000. 
     
  • There are many reasons why the error type Updates were not applied because packages were not in the repository can occur in the agent logs for other products and other packages. 
     
  • In some instances this error pertains to a failed update, but this article is not related to any failed updates with VSE and these three packages. The DAT/Engine updates are successful, but some components are missing at the download site that need explaining.
     
  • It is not the purpose of this article to troubleshoot a reported failed installation. Failed updates are addressed in other KnowledgeBase articles for their respective product and package error.
    However, as an example of another product that has a problem related to one of these packages (EXTRADAT1000), where in GroupShield 7.0 for Domino this error does lead to a problem for this product, see KB50742.

Problem

The errors below are only reported after installing VSE 8.7i or later.

After checking the VSE consoles both DAT and Engine updates are successful.
 
Agent_<Computer_name>.log records the following errors with earlier versions of McAfee Agent:

NOTE:
These are example logs taken from a system that is not ePO managed.

i #4536 Script These updates will be applied if they are in the repository: Engine, DAT, VSCANCEU1000, EXTRADAT1000, VIRUSSCAN8800
      ..
i #3880 Script  Product(s) running the latest DATs.
i #4456 Script  Verifying VSE870Det.McS.
i #5580  Script  Searching available updates for McAfee VirusScan Enterprise 8.7.0.
i #3880 Script  Updates were not applied because packages were not in the repository:  VSCANCEU1000, EXTRADAT1000,
i #5580  Script  Update Finished
 

Agent_<Computer_name>.log records the following errors on systems with McAfee Agent 4.6 and later:

i #4536 Script These updates will be applied if they are in the repository: Engine, DAT, VSCANCEU1000, EXTRADAT1000, SUPERDAT1000, VIRUSSCAN8800
. .. .. ..
i #4536 Updater Product(s) running the latest BOC DAT.
i #4536 Uec Done processing progress information.
. .. .. ..
i #4536 Updater Searching available updates for McAfee VirusScan Enterprise 8.8.0.
  #4536 Uec Done processing progress information.
i #4536 Updater The following packages were not in the repository: VSCANCEU1000, EXTRADAT1000, SUPERDAT1000
. .. .. ..
i #4536 Uec Done processing progress information.
i #4536 Updater Update Finished


UpdateLog.txt records the following error:
Starting task: AutoUpdate
Checking update packages from repository ePO_FFUKAPP01.
Initializing update...
Verifying catalog.z.
Extracting catalog.z.
Loading update configuration from: Catalog.xml
Downloading PkgCatalog.z.
Verifying PkgCatalog.z.
Extracting PkgCatalog.z.
Loading update configuration from: PkgCatalog.xml
Verifying V2engdet.mcs.
Product(s) running the latest Engine.
Downloading PkgCatalog.z.
Verifying PkgCatalog.z.
Extracting PkgCatalog.z.
Loading update configuration from: PkgCatalog.xml
Verifying V2datdet.mcs.
Product(s) running the latest DATs.
Verifying VSE870Det.McS.
Searching available updates for McAfee VirusScan Enterprise 8.7.0.
Updates were not applied because packages were not in the repository:  VSCANCEU1000, EXTRADAT1000, BOCVSE__1000.
Update Finished
Closing the update session.

Solution

The important thing to note in this situation, is that the main DAT and Engine updates are successful. Only components are being reported as not installed.

Some of these messages are the result of the AutoUpdate configuration. In the VSE AutoUpdate configuration under Update Options, you can select which updates you want to check for:

VSE 8.8 and later
    • Get newer detection definition files if available
    • Get newer detection engine and dats if available
    • Get other available updates (service packs, upgrades, etc.)
VSE 8.7i and earlier
    • Get newer detection definition files if available.
    • Get newer detection engines if available.
    • Get other available updates (service packs, upgrade, etc.)
 
NOTE: The default configuration has ALL items selected.

The messages mean that the AutoUpdate process looked for updates for Engine, DAT, VSCANCEU1000, EXTRADAT1000, SUPERDAT1000, VIRUSSCAN8800, but could only find the DAT and Engine update in the repository. It then reports that it did not apply VSCANCEU1000, EXTRADAT1000 or SUPERDAT1000 updates, because they were not available. 

 
Missing Package Component Details Comments
VSCANCEU1000 Engine update This is looking for an engine component update. At present no such modular engine component has been posted. When one is, then this package will be included in the log error section The following packages were not in the repository: VSCANCEU1000.

This message can be prevented by disabling an Engine option with the following steps.

IMPORTANT:  If you decide to turn off this engine check, then the client system will not download the latest engine update when released by McAfee to the FTP site.

To prevent the VSCANCEU1000 engine component message from appearing using the VirusScan Console:
  1. Launch the VirusScan Console.
  2. Right-click AutoUpdate and select Properties.
  3. Under Update Options, deselect Get newer detection engine and dats if available.
  4. Click Apply, then OK.

    This will remove the [VSCANCEU1000] message completely from being included in the log.
EXTRADAT1000 Extra.DAT The Extra.DAT is a file that contains detection codes for a temporary period of time for viruses not yet included in the incremental or full DAT set. These are generally only dispatched to customers as they are reported to AVERT and are unlikely to be available on the FTP site. However, in an ePO managed environment an emergency EXTRA.DAT might be deployed. When it is, then this package will be added to this list of installed packages in the log. At any other time, the message can be ignored because Extra.DATs are rarely needed due to the daily incremental DAT update.
NOTE: By default McAfee ePolicy Orchestrator does not deploy the EXTRA.DAT file to target machines.
SUPERDAT1000 SuperDAT A SuperDAT package is normally only included in updates from ePO managed clients, when administrators deem a SuperDAT is required to resolve an product issue or virus problem.


Rate this document

Did this article resolve your issue?

Please provide any comments below

Glossary of Technical Terms


Highlight Glossary Terms

Please take a moment to browse our Glossary of Technical Terms.
United States - English
© 2003-2013 McAfee, Inc.